<?php
/* $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
?>
<div id="pbr-templates">
    <p class="pbr_section">
        <?php $mb->the_field('count'); ?>
        <label for="pf_number"><?php esc_html_e( "Pages show at most:", 'newshopping'  );?></label>
        <input type="text" name="<?php $mb->the_name(); ?>" id="pf_number" value="<?php $mb->the_value(); ?>" />
    </p>

    <p class="pbr_section">
        <?php $mb->the_field('el_class'); ?>
        <label for="pf_number"><?php esc_html_e( "Extra class name:", 'newshopping'  );?></label>
        <input type="text" name="<?php $mb->the_name(); ?>" id="pf_number" value="<?php $mb->the_value(); ?>" />
    </p>

    <p class="pbr_section">
        <?php $mb->the_field('blog_layout'); ?>
        <label for="pf_number"><?php esc_html_e( "Blog Layout:", 'newshopping'  );?></label>
        <select  name="<?php $mb->the_name(); ?>">
            <option value="default" <?php $mb->the_select_state('default'); ?>><?php esc_html_e('Blog Default','newshopping'); ?></option>
            <option value="masonry" <?php $mb->the_select_state('masonry'); ?>><?php esc_html_e('Blog Masonry','newshopping'); ?></option>
            <option value="list" <?php $mb->the_select_state('list'); ?>><?php esc_html_e('Blog List','newshopping'); ?></option>
        </select>
    </p>

    <p class="pbr_section">
        <?php $mb->the_field('header_skin'); ?>
        <label for="pf_number"><?php esc_html_e( "Header Skin:", 'newshopping'  );?></label>
        <select  name="<?php $mb->the_name(); ?>">
	    	<option value="1" <?php $mb->the_select_state('1'); ?>><?php esc_html_e('Use Global','newshopping'); ?></option>
	    	<option value="2" <?php $mb->the_select_state('2'); ?>><?php esc_html_e('Skin 1','newshopping'); ?></option>
	    	<option value="3" <?php $mb->the_select_state('3'); ?>><?php esc_html_e('Skin 2','newshopping'); ?></option>
	    </select>
    </p>

    <p class="pbr_section">
        <?php $mb->the_field('footer_skin'); ?>
        <label for="pf_number"><?php esc_html_e( "Footer Skin:", 'newshopping'  );?></label>
        <select  name="<?php $mb->the_name(); ?>">
            <option value="1" <?php $mb->the_select_state('1'); ?>><?php esc_html_e('Use Global','newshopping'); ?></option>
            <option value="2" <?php $mb->the_select_state('2'); ?>><?php esc_html_e('Skin 1','newshopping'); ?></option>
            <option value="3" <?php $mb->the_select_state('3'); ?>><?php esc_html_e('Skin 2','newshopping'); ?></option>
        </select>
    </p>
</div>