<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
$liveedit_action = admin_url('themes.php?page=pbr_megamenu');
$action_addwidget = admin_url('admin-ajax.php?action=pbr_list_shortcodes');
$live_site_url = '';
$action_backlink =  admin_url('themes.php');
$action_widget = admin_url('themes.php?page=pbr_megamenu');


$nav_menu =  2;
$selectenav =  isset($_GET['group']) && $_GET['group'] ? $_GET['group']:$nav_menu;
?>

	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<h1><?php esc_html_e( 'Vertical Megamenu Editor', 'newshopping' );?></h1>
			</div>
			<div class="col-md-12">
				<div class="form-group">
					<label class="control-label pull-left"><?php esc_html_e('Menu Group', 'newshopping'); ?></label>
					<?php $menus = newshopping_pbr_get_menugroups()  ; ?>
					<div class="col-md-6">
					<select class="form-control" name="menu-group" id="menugroup">
						<?php foreach($menus as $gmenu => $label) :  ?>
						<option value="<?php echo esc_attr( $gmenu );?>"  <?php if( $selectenav == $gmenu ) { ?>selected="selected"<?php } ?>><?php echo esc_html( $label ); ?></option>
						<?php endforeach; ?>
					</select>
					</div>
				</div> 
			</div>
		</div>
	</div>	

<div class="megamenu-pages container">

	<ul class="nav nav-tabs">
	  <li class="active"><a href="#megamenu-editor" data-toggle="tab" ><?php esc_html_e('MegaMenu', 'newshopping'); ?></a></li>
	  <li><a href="#manage-widget" data-toggle="tab"><?php esc_html_e('Manage Widgets', 'newshopping'); ?></a></li>
	</ul>

 <!-- Modal -->
  <div class="modal fade" id="myModal" tabindex="-1" data-backdrop="false" aria-labelledby="myModalLabel">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title"><?php esc_html_e('Widget Management', 'newshopping'); ?></h4>
        </div>
        <div class="modal-body">
			<span class="spinner top" style="display:block;float:none;"></span>
			<div class="pbr-widget-message"></div>
			<div class="modal-body-inner"></div>
        </div>

        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>

	<div  id="widget-form" style="display: none; left: 340px;  min-width:400px" class="popover bottom   form-setting">
		<div class="arrow"></div>
		<h3 style="display: block;" class="popover-title"><?php esc_html_e('Widget Setting', 'newshopping');?><span class="badge pull-right"><?php esc_html_e('Close', 'newshopping');?></span></h3>
		<div class="popover-content">
			 <select name="inject_widget">
			 <?php foreach( $widgets as $w ) { ?>
				<option value="<?php echo esc_attr( $w->id ); ?>"><?php echo esc_html( $w->name ); ?></option>
			 <?php } ?>
			</select>
			<button type="button" id="btn-inject-widget" class="btn btn-default btn-sm"><?php esc_html_e('Insert', 'newshopping');?></button>
			<a href="<?php echo esc_url( $action_addwidget ); ?>" id="btn-add-widget" rel="refresh-page" class="btn btn-sm btn-modal btn-default btn-action"><?php esc_html_e('Add Widget', 'newshopping');?></a>
		</div>
	</div>


	<div id="toolbar" class="container-inner">
		<div id="menu-toolbars">
				<div>
					<div class="pull-right">
						<a href="<?php echo esc_url( $action_addwidget ); ?>" id="btn-add-widget" rel="refresh-page" class="btn btn-modal btn-default btn-action"><?php esc_html_e('Add Widget', 'newshopping');?></a>
						<a href="<?php echo esc_url( $live_site_url );?>" class="btn btn-modal btn-default btn-sm btn-action hidden-md hidden-lg" ><?php esc_html_e('Preview', 'newshopping');?></a> |
						<a id="unset-data-menu" href="#" class="btn btn-danger btn-action"><?php esc_html_e('Reset Megamenu', 'newshopping');?></a>
						<button id="save-data-menu" class="btn btn-warning"><?php esc_html_e('Save', 'newshopping')?></button>
					</div>
					<a id="save-data-back" class="btn btn-default" href="<?php echo esc_url( $action_backlink );?>"><?php esc_html_e('Back', 'newshopping');?></a>
				</div>
			</div>
	</div>


	<!-- Tab panes -->
	<div class="tab-content">
		<div class="tab-pane" id="manage-widget">
			<table class="form table table-striped">
			 	<tr>
			 		<th><?php esc_html_e('Wiget Name', 'newshopping'); ?></th>
			 		<th><?php esc_html_e('Type', 'newshopping'); ?></th>
			 		<th><?php esc_html_e('Action', 'newshopping'); ?></th>
			 	</tr>
			 	<?php if( is_array($widgets) ) { ?>

			 	<?php foreach( $widgets  as $widget ) { ?>
			     	<tr data-widget-id="<?php echo esc_attr( $widget->id ); ?>">
			    	 	<td class="name"><?php echo esc_html( $widget->name ); ?></td>
			    	 	<td class="type"><?php echo esc_html( $widget->type ); ?></td>
			    	 	<td>
			    	 		<a class="pbr-edit-widget" rel="edit" data-type="<?php echo esc_attr( $widget->type ); ?>" data-id='<?php echo esc_attr( $widget->id ); ?>' href="#" ><?php esc_html_e('Edit', 'newshopping'); ?></a>
			    	 		|
			    	 		<a rel="delete" class="pbr-delete" data-message="<?php esc_html_e('Are You Sure ?', 'newshopping'); ?>" data-id='<?php echo esc_attr( $widget->id ); ?>' href="#"><?php esc_html_e('Delete', 'newshopping'); ?></a>
			    	 	</td>
			     	<?php } ?>
			     	</tr>
			 	<?php } ?>
			</table>
		</div>

	  	<div class="tab-pane active" id="megamenu-editor">
				<div id="menu-form"  style="display: none; left: 340px; top: 15px; max-width:600px" class="popover top out form-setting">
							<div class="arrow"></div>
							<h3 style="display: block;" class="popover-title">Sub Menu Setting <span class="badge pull-right"><?php esc_html_e('Close', 'newshopping');?></span></h3>
							<div class="popover-content">
								<form  method="post" action="<?php echo esc_url( $liveedit_action );?>"  enctype="multipart/form-data" >
								<div class="col-lg-12">
								<table class="table table-hover">

									<tr>
										<td><?php esc_html_e('Create Sub Menu', 'newshopping');?></td>
										<td>
											<select name="menu_submenu" class="menu_submenu">
												<option value="0"><?php esc_html_e('No', 'newshopping');?></option>
												<option value="1"><?php esc_html_e('Yes', 'newshopping');?></option>
											</select>
										</td>
									</tr>

									<tr>
										<td><?php esc_html_e('Width Submenu', 'newshopping');?></td>
										<td>
											 <input type="text" name="menu_subwidth" class="menu_subwidth">
										</td>
									</tr>
									<tr>
										<td><?php esc_html_e('Text Customize', 'newshopping');?></td>
										<td>
											 <input type="text" name="text_customize" class="text_customize">
										</td>
									</tr>
									<tr>
										<td><?php esc_html_e('Icon', 'newshopping');?></td>
										<td>
											 <input type="text" name="menu_icon" class="menu_icon">
										</td>
									</tr>
									<tr>
										<td><?php esc_html_e('Description', 'newshopping');?></td>
										<td>
											<textarea name="menu_description" class="menu_description" cols="30" rows="2"></textarea>
										</td>
									</tr>
									<tr class="table-alignments">
										<td><?php esc_html_e( 'Alignment', 'newshopping' ); ?></td>
										<td>
											<div class="btn-group button-alignments">
											  <button type="button" class="btn btn-default" data-option="aligned-left"><span class="glyphicon glyphicon-align-left"></span></button>
											  <button type="button" class="btn btn-default" data-option="aligned-center"><span class="glyphicon glyphicon-align-center"></span></button>
											  <button type="button" class="btn btn-default" data-option="aligned-right"><span class="glyphicon glyphicon-align-right"></span></button>
											  <button type="button" class="btn btn-default" data-option="aligned-fullwidth"><span class="glyphicon glyphicon-align-justify"></span></button>
											</div>

										</td>
									</tr>
									<tr>
										<td colspan="2">
											<button type="button" class="add-row btn btn-default btn-sm"><?php esc_html_e('Add Row', 'newshopping');?></button>
											<button type="button" class="remove-row btn btn-default  btn-sm"><?php esc_html_e('Remove Row', 'newshopping');?></button>
											| <button type="button" class="add-col btn btn-default  btn-sm"><?php esc_html_e('Add Column', 'newshopping');?></button>
										</td>
									</tr>
								</table>
								<input type="hidden" name="menu_id">
								</div>

								</form>
							</div>
						</div>


						<div id="column-form" style="display: none; left: 340px; top: 45px;" class="popover top   form-setting">
							<div class="arrow"></div>
							<h3 style="display: block;" class="popover-title"><?php esc_html_e('Column Setting', 'newshopping')?> <span class="badge pull-right"><?php esc_html_e('Close', 'newshopping');?></span></h3>
							<div class="popover-content">
								<form    method="post" action="<?php echo esc_url( $liveedit_action );?>"  enctype="multipart/form-data" >
								<table class="table table-hover">
									<tr>
										<td><?php esc_html_e('Addition Class', 'newshopping');?></td>
										<td>
											<input type="text" name="colclass">
										</td>
									</tr>
									<tr>
										<td>Column Width</td>
										<td>
											<select class="colwidth" name="colwidth">
												<?php for( $i = 1; $i<=12; $i++ )  { ?>
												<option value="<?php echo esc_attr( $i );?>"><?php echo esc_html( $i );?></option>
												<?php } ?>
											</select>
										</td>
									</tr>
									<tr>
										<td colspan="2"><button type="button" class="remove-col btn btn-default  btn-sm"><?php esc_html_e('Remove Column', 'newshopping');?></button> </td>
									</tr>
								</table>
								</form>
							</div>
						</div>


						<div  id="submenu-form" style="display: none; left: 340px; top: 45px;" class="popover top  form-setting">
							<div class="arrow"></div>
							<h3 style="display: block;" class="popover-title"><?php esc_html_e('Setting Sub Menu', 'newshopping');?><span class="badge pull-right"><?php esc_html_e('Close', 'newshopping');?></span></h3>
							<div class="popover-content">
								<form   method="post" action="<?php echo esc_url( $liveedit_action );?>"  enctype="multipart/form-data" >

									<input type="hidden" name="submenu_id">
									<table class="table table-hover">
										<tr>
											<td><?php esc_html_e('Group Submenu', 'newshopping');?></td>
											<td>
												<select name="submenu_group">
													<option value="0"><?php esc_html_e('No', 'newshopping');?></option>
													<option value="1"><?php esc_html_e('Yes', 'newshopping');?></option>
												</select>
											</td>
										</tr>
									</table>
								</form>
							</div>
						</div>


				<div class="container-inner">

					<div class="progress" id="pbr-progress">
					  <div class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 00%;">
					    <span class="sr-only">60% Complete</span>
					  </div>
					</div>


				<div id="megamenu-content" >
					<div id="pbr-mainnav" class="pbr-megamenu navbar navbar-default verticalmenu" role="navigation">
						<div class="navbar-header">
							<a href="javascript:;" data-target=".navbar-collapse" data-toggle="collapse" class="navbar-toggle" type="button">
						        <span class="icon-bar"></span>
						        <span class="icon-bar"></span>
						        <span class="icon-bar"></span>
						    </a>
						</div><!-- //END #navbar-header -->
						<?php  
							
					       
					        $args = array(  'menu' => $selectenav,
					                        'container_class' => 'collapse navbar-collapse navbar-ex1-collapse',
					                        'menu_class' => 'nav navbar-nav megamenu',
					                        'fallback_cb' => '',
					                        'menu_id' => 'mainmenutop',
					                        'walker' => new Newshopping_Newshopping_PBR_Megamenu_Vertical());
					        wp_nav_menu($args);

							?>
					</div>

				</div>
				</div></div>
	</div></div>

<script type="text/javascript">

	jQuery( function($) {
		var _action 	   = '<?php echo esc_js( $liveedit_action ); ?>';
		var _action_menu   = '<?php echo esc_js( $liveedit_action ); ?>';
		var _action_widget = '<?php echo esc_js( $action_widget ).'&renderwidget=1'; ?>';
		$("#megamenu-content").PavMegamenuEditor( {'action':_action, 'action_menu':_action_menu,'action_widget':_action_widget} );
	

	$("#menugroup").change( function(){	 
		if( $("#menugroup").val() ){ 
			location.href="<?php echo esc_js( admin_url('themes.php?page=pbr_megamenu_vertical') ); ?>&group="+$("#menugroup").val();
		}
	} );

	} ) ;


</script>