<?php

	class Newshopping_PBR_Shortcode_Content extends Newshopping_PBR_Shortcode_Base{

		public function __construct( ){
			// add hook to convert shortcode to html.
			$this->name = str_replace( 'newshopping_pbr_shortcode_','',strtolower( __CLASS__ ) );
			$this->key = 'pbr_'.$this->name;

			add_shortcode( $this->key  ,  array($this,'render') );

			parent::__construct( );
		}

		/**
		 * $data format is object field of megamenu_widget record.
		 */
		public function getButton( $data=null ){
			$button = array(
				'icon'	 => 'content',
				'title' => __( 'Text Content' ,'newshopping'),
				'desc'  => __( 'Supported with WYSWYG Editor','newshopping' ),
				'name'  => $this->name
			);
			return $button;
		}

		public function getOptions( ){
		    $this->options[] = array(
		        'label' 	=> __('Content', 'newshopping'),
		        'id' 		=> 'content',
		        'type' 		=> 'textarea',
		        'explain'	=> __( 'Put Content Here', 'newshopping' ),
		        'default'	=> '',
		        'hint'		=> '',
	        );

	         $this->options[] = array(
		        'label' 	=> __('Addition Class', 'newshopping'),
		        'id' 		=> 'class',
		        'type' 		=> 'input',
		        'explain'	=> __( 'Using to make own style', 'newshopping' ),
		        'default'	=> '',
		        'hint'		=> '',
	        );
		}
	}
?>