<?php

	class Newshopping_PBR_Shortcode_Recent_post extends Newshopping_PBR_Shortcode_Base{

		public function __construct( ){
			// add hook to convert shortcode to html.
			$this->name = str_replace( 'newshopping_pbr_shortcode_','',strtolower( __CLASS__ ) );
			$this->key = 'pbr_'.$this->name;
			add_shortcode( $this->key  ,  array($this,'render') );
			$this->excludedMegamenu = true;
			parent::__construct( );
		}

		/**
		 * $data format is object field of megamenu_widget record.
		 */
		public function getButton( $data=null ){
			$button = array(
				'icon'	 => 'recentpost',
				'title' => __( 'Recent Post','newshopping' ),
				'desc'  => __( 'Display List of Newest Post','newshopping' ),
				'name'  => $this->name
			);
			return $button;
		}

		public function getOptions( ){
		    $this->options[] = array(
		        'label' 	=> __('Limited Post', 'newshopping'),
		        'id' 		=> 'limit',
		        'type' 		=> 'text',
		        'explain'	=> __( 'Enter Vimeo Link or Youtube Here','newshopping' ),
		        'default'	=> '6',
		        'hint'		=> '',
	        );

	        $this->options[] = array(
		        'label' 	=> __('Display Date', 'newshopping'),
		        'id' 		=> 'enable_date',
		        'type' 		=> 'select',
		        'explain'	=> __( 'Display posted data', 'newshopping' ),
		        'default'	=> '0',
		        'options'   => array( 0=>__('No','newshopping'), 1=>__('Yes','newshopping') ),
		        'hint'		=> '',
	        );

	         $this->options[] = array(
		        'label' 	=> __('Addition Class', 'newshopping'),
		        'id' 		=> 'class',
		        'type' 		=> 'text',
		        'explain'	=> __( 'Using to make own style', 'newshopping' ),
		        'default'	=> '',
		        'hint'		=> '',
	        );
		}

		public function render( $attrs, $content="" ){
			return '<div>'.$attrs['style'].'</div>';
		}
	}
?>