<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
?>

<?php get_header( Newshopping_TemplateFront::getHeaderLayout() ); ?>

<section id="pbr-mainbody" class="pbr-mainbody clearfix main-page">
     <div class="wrapper-content"> 
        <div class="container"><div class="container-inner">
            <div class="row"> 
                <!-- MAIN CONTENT -->
                <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
                    <div id="pbr-content">
                        <?php  if ( have_posts() ) : ?>
                            <div class="post-area">
                                  <?php get_template_part( 'contents', get_post_type() ); ?>
                            </div>
                        <?php else : ?>
                            <?php get_template_part( 'templates/none' ); ?>
                        <?php endif; ?>
                    </div>
                    
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12 pbr-sidebar">
                   <?php dynamic_sidebar('sidebar-default'); ?>
                </div>
            </div>
        </div> </div>
     </div>   
</section>
<?php get_footer(); ?>