<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */

?>

<?php get_header( Newshopping_TemplateFront::getHeaderLayout() ); ?>
<section class="breadcrumb pbr-breadcrumb">
    <nav class="container" itemprop="breadcrumb">
        <h4 class="text-left"><?php _e( '<span>Search </span> results for: ', 'newshopping' ); echo trim($s); ?></h4>
    </nav>
</section>

<section id="pbr-mainbody" class="pbr-mainbody clearfix main-page">

     <div class="wrapper-content"> 
        <div class="container"><div class="container-inner">
        
            <div class="row"> 
                <!-- MAIN CONTENT -->
                <div class="col-lg-9 col-md-9 col-sm-9">
                    <div id="pbr-content">
                        <?php  if ( have_posts() ) : ?>
                            <div class="post-area">
                                <?php while ( have_posts() ) : the_post(); ?>
                                  <?php get_template_part( 'templates/blog/blog'); ?>
                                <?php endwhile; ?>
                            </div>
                         
                        <?php else : ?>
                            <?php get_template_part( 'templates/none' ); ?>
                        <?php endif; ?>
                    </div>
                    <?php newshopping_pbr_pagination(); ?>
                </div>
                <div class="col-xs-3 pbr-sidebar">
                   <?php dynamic_sidebar('sidebar-default'); ?>
                </div>
            </div>
        </div> </div>
     </div>   
</section>
<?php get_footer(); ?>