<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
global $newshopping_pbrpconfig;
$newshopping_pbrpconfig = newshopping_pbr_portfolio_page_config();
$config = get_post_meta(get_the_ID(),'pbr_portfolio',true);
$newshopping_portfolio_format = (isset( $config['portfolio_format'] ) && !empty( $config['portfolio_format'] )) ? $config['portfolio_format']: 'default';
if($newshopping_portfolio_format == 'video' || $newshopping_portfolio_format == 'fullscreen'){
   $newshopping_pbrpconfig['layout'] = 'fullwidth';
}
get_header( newshopping_pbr_theme_options('headerlayout', '') ); ?>

<?php do_action( 'newshopping_pbr_layout_breadcrumbs_render' ); ?>	

<?php do_action( 'newshopping_pbr_layout_template_before' ) ; ?>

	<?php while(have_posts()):the_post(); ?>
		<div class="format-<?php echo esc_attr($newshopping_portfolio_format); ?>">
			<?php get_template_part('templates/portfolio/single'); ?>
		</div>
	<?php endwhile; ?>
 <?php do_action( 'newshopping_pbr_layout_template_after' ) ; ?>

<?php get_footer(); ?>