<?php
 /**
  * $Desc
  *
  * @version    $Id$
  * @package    wpbase
  * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */

/*
*Template Name: Layout Full Width
*
*/

$config = Newshopping_TemplateFront::getPageConfig();

?>
<?php get_header( Newshopping_TemplateFront::getHeaderLayout() ); ?>
<?php
  if(!$config['breadcrumb'])
    newshopping_pbr_breadcrumb();
 ?>


<section id="pbr-mainbody" class="pbr-mainbody vc-temlpate clearfix">
  <!-- MAIN CONTENT -->
  <div class="container-full-width">
    <?php if(!$config['showtitle']){ ?>
        <header class="container header-title">
            <h1 class="page-title"><span><?php the_title(); ?></span></h1>
        </header><!-- /header -->
    <?php } ?>

    <?php /* The loop */ ?>
        <?php while ( have_posts() ) : the_post(); ?>
            <article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
                <?php the_content(); ?>
            </article><!-- #post -->
        <?php if ( comments_open()) :
                    comments_template();
                  endif; ?>
    <?php endwhile; ?>
</div>

</section>

<?php get_footer(); ?>