<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
global $post;
?>
<ul class="social-networks list-unstyled list-inline">
	<?php if((bool)newshopping_pbr_theme_options('facebook_share_blog',true)): ?>
	<li class="facebook">
		<a data-toggle="tooltip" data-placement="<?php echo esc_attr( $args['position'] ); ?>" data-animation="<?php echo esc_attr( $args['animation'] ); ?>"  data-original-title="Facebook" href="http://www.facebook.com/sharer.php?s=100&p&#91;url&#93;=<?php the_permalink(); ?>&p&#91;title&#93;=<?php the_title(); ?>" target="_blank">
			<i class="fa fa-facebook"></i>
		</a>
	</li>
	<?php endif; ?>
	<?php if((bool)newshopping_pbr_theme_options('twitter_share_blog',true)): ?>
	<li class="twitter">
		<a data-toggle="tooltip" data-placement="<?php echo esc_attr( $args['position'] ); ?>" data-animation="<?php echo esc_attr( $args['animation'] ); ?>"  data-original-title="Twitter" href="http://twitter.com/home?status=<?php the_title(); ?> <?php the_permalink(); ?>" target="_blank">
			<i class="fa fa-twitter"></i>
		</a>
	</li>
	<?php endif; ?>
	<?php if((bool)newshopping_pbr_theme_options('linkedin_share_blog',true)): ?>
	<li class="linkedin">
		<a data-toggle="tooltip" data-placement="<?php echo esc_attr( $args['position'] ); ?>" data-animation="<?php echo esc_attr( $args['animation'] ); ?>"  data-original-title="LinkedIn" href="http://linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>" target="_blank">
			<i class="fa fa-linkedin"></i>
		</a>
	</li>
	<?php endif; ?>
	<?php if((bool)newshopping_pbr_theme_options('tumblr_share_blog',true)): ?>
	<li class="tumblr">
		<a data-toggle="tooltip" data-placement="<?php echo esc_attr( $args['position'] ); ?>" data-animation="<?php echo esc_attr( $args['animation'] ); ?>"  data-original-title="Tumblr" href="http://www.tumblr.com/share/link?url=<?php echo urlencode(get_permalink()); ?>&amp;name=<?php echo urlencode($post->post_title); ?>&amp;description=<?php echo urlencode(get_the_excerpt()); ?>" target="_blank">
			<i class="fa fa-tumblr"></i>
		</a>
	</li>
	<?php endif; ?>
	<?php if((bool)newshopping_pbr_theme_options('google_share_blog',true)): ?>
	<li class="google">
		<a data-toggle="tooltip" data-placement="<?php echo esc_attr( $args['position'] ); ?>" data-animation="<?php echo esc_attr( $args['animation'] ); ?>"  data-original-title="Google +1" href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href,
'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;" target="_blank">
			<i class="fa fa-google-plus"></i>
		</a>
	</li>
	<?php endif; ?>
	<?php if((bool)newshopping_pbr_theme_options('pinterest_share_blog',true)): ?>
	<li class="pinterest">
		<?php $full_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full'); ?>
		<a data-toggle="tooltip" data-placement="<?php echo esc_attr( $args['position'] ); ?>" data-animation="<?php echo esc_attr( $args['animation'] ); ?>"  data-original-title="Pinterest" href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode(get_permalink()); ?>&amp;description=<?php echo urlencode($post->post_title); ?>&amp;media=<?php echo urlencode($full_image[0]); ?>" target="_blank">
			<i class="fa fa-pinterest"></i>
		</a>
	</li>
	<?php endif; ?>
	<?php if((bool)newshopping_pbr_theme_options('mail_share_blog',true)): ?>
	<li class="email">
		<a data-toggle="tooltip" data-placement="<?php echo esc_attr( $args['position'] ); ?>" data-animation="<?php echo esc_attr( $args['animation'] ); ?>"  data-original-title="Email" href="mailto:?subject=<?php the_title(); ?>&amp;body=<?php the_permalink(); ?>">
			<i class="fa fa-envelope"></i>
		</a>
	</li>
	<?php endif; ?>
</ul>