<?php

/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
    $number = 9;
    $columns_count = 4; 
    $layout = 'grid';
    $title = '';
    $deals = array();

    $loop = newshopping_pbr_woocommerce_query('on_sale', $number);
    $_id = newshopping_pbr_makeid();
    $_count = 1;
 
	$col = floor(12/$columns_count);
	$smcol = ($col > 2)? 6: $col;
	$class_column='col-lg-'.$col.' col-md-'.$col.' col-sm-'.$smcol;

    $_total =  $loop->found_posts;  



    if( $loop->have_posts()  ) { ?>

    
    <div class="widget_deals_products widget widget_products <?php echo (($el_class!='')?' '.$el_class:''); ?>">
        <?php if($title!=''){ ?>
            <h3 class="widget-title title-primary">
                <span><span><?php echo esc_attr( $title ); ?></span></span>
            </h3>
        <?php } ?>
        <div class="woocommerce woo-onsale">
             <div class="widget-content widget_products" id="<?php echo esc_attr($_id); ?>">
             	
             	<div class="woocommerce-cats">
             		<div class="">

             		</div>	
             	</div>	

                <div class="products-inner">
                    <?php     while ( $loop->have_posts() ) : $loop->the_post(); global $product;   
                      
                        $time_sale = get_post_meta( $product->id, '_sale_price_dates_to', true );
                    ?>
                    <?php if( $_count%$columns_count == 1 || $columns_count == 1 ) echo '<div class="item'.(($_count==1)?" active":"").'"><div class="row">'; ?>
                   
                            <div class="item-product <?php echo esc_attr( $class_column ); if($_count%$columns_count==0) echo ' last'; ?>">
                                <div class="product-block">
                                    <figure class="image">
                                        <?php echo trim( $product->get_image() ); ?>
                                    </figure>

                                    <div class="caption">
                                        <div class="deals-information">
                                            <h3 class="name">
                                                <a href="<?php echo esc_url( get_permalink( $product->id ) ); ?>"><?php echo esc_attr( $product->get_title() ); ?></a>
                                            </h3>
                                            <div class="rating clearfix ">
                                                <?php if ( $rating_html = $product->get_rating_html() ) { ?>
                                                    <div><?php echo trim( $rating_html ); ?></div>
                                                <?php }else{ ?>
                                                    <div class="star-rating"></div>
                                                <?php } ?>
                                            </div>
                                            <div class="price"><?php echo trim( $product->get_price_html() ); ?></div>
                                        </div>
                           
                                        <div class="sale-off">
                                        	<?php if( $product->product_type == 'simple' ) { ?>
                                            <?php
                                            $percentage = round( ( ( $product->regular_price - $product->sale_price ) / $product->regular_price ) * 100 );
                                                echo '-' . trim( $percentage ) . '%';
                                             ?>
                                            <?php } ?> 
                                        </div>
                             
                                    </div>
                                </div>
                            </div>
                        <?php if( ($_count%$columns_count==0 && $_count!=1) || $_count== $_total || $columns_count ==1 ) echo '</div></div>'; ?>
                <?php 
                        $_count++; 
                    endwhile; 
                ?>
                <div class="clearfix"></div>
                <div class="product-paginations">
                	<?php echo newshopping_pbr_woocommerce_pagination( $number, $_total ); ?>
                </div>
                <?php wp_reset_postdata(); ?>
                </div>
            </div>     
        </div>
    </div>
    <?php } ?>
