	<section class="col-md-12">
		<div itemscope itemtype="<?php echo woocommerce_get_product_schema(); ?>" id="product-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div id="single-product" class="product-info">
				<div class="row">
					<div class="col-lg-5 col-md-5 col-sm-5">
						<?php
							/**
							* woocommerce_before_single_product_summary hook
							*
							* @hooked woocommerce_show_product_sale_flash - 10
							* @hooked woocommerce_show_product_images - 20
							*/
							do_action( 'woocommerce_before_single_product_summary' );
						?>
					</div>
					<div class="col-lg-7 col-md-7 col-sm-7">
						<div class="summary entry-summary">
							<?php
								/**
								* woocommerce_single_product_summary hook
								*
								* @hooked woocommerce_template_single_title - 5
								* @hooked woocommerce_template_single_rating - 10
								* @hooked woocommerce_template_single_price - 10
								* @hooked woocommerce_template_single_excerpt - 20
								* @hooked woocommerce_template_single_add_to_cart - 30
								* @hooked woocommerce_template_single_meta - 40
								* @hooked woocommerce_template_single_sharing - 50
								*/
								do_action( 'woocommerce_single_product_summary' );
							?>

							<?php if(newshopping_pbr_theme_options('wc_show_share_social', true)) : ?>
							<div class="share_social">
								<span class="pull-left"><?php esc_html_e( 'این محصولا را به اشتراک بگذارید!','newshopping' ); ?></span><?php newshopping_pbr_share_box(); ?></div>
						<?php endif; ?>
						</div><!-- .summary -->
					</div>
				</div>
			</div>

	<?php
		/**
		 * woocommerce_after_single_product_summary hook
		 *
		 * @hooked woocommerce_output_product_data_tabs - 10
		 * @hooked woocommerce_upsell_display - 15
		 * @hooked woocommerce_output_related_products - 20
		 */
		do_action( 'woocommerce_after_single_product_summary' );
	?>

	<meta itemprop="url" content="<?php the_permalink(); ?>" />

</div><!-- #product-<?php the_ID(); ?> -->

<?php do_action( 'woocommerce_after_single_product' ); ?>

</section>

<!-- <aside class="pbr-sidebar col-md-3">
	<?php
	/**
	* woocommerce_sidebar hook
	*
	* @hooked woocommerce_get_sidebar - 10
	*/
    //do_action( 'woocommerce_sidebar' );
    ?>
</aside> -->
