<?php
    
    global $newshopping_portfolio, $newshopping_pbrpconfig, $column;

    if(is_front_page()) {
        $paged = (get_query_var('page')) ? get_query_var('page') : 1;
    } else {
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
    }


    if( is_page()) {

        $options = array(
            'portfolio_number' => 10,
            'portfolio_style' => '',
            'portfolio_columns' => 2,
        );

        $newshopping_pbrpconfig     = array_merge( $options, $newshopping_pbrpconfig );       
        $style          = $newshopping_pbrpconfig['portfolio_style'] ;
        $post_per_page  = $newshopping_pbrpconfig['portfolio_number'];
        $column         = $newshopping_pbrpconfig['portfolio_columns'];

        $args = array(
            'post_type' => 'portfolio',
            'paged' => $paged,
            'posts_per_page'=>$post_per_page
        );
        $newshopping_portfolio = new WP_Query($args);
    }else{

        $style = newshopping_pbr_theme_options('portfolio-style');
        $column = (int)newshopping_pbr_theme_options('portfolio-items-show', 4);
        
        $post_per_page = get_option('posts_per_page');

        $args = array(
            'post_type' => 'portfolio',
            'paged' => $paged,
            'posts_per_page'=>$post_per_page
        );

        $newshopping_portfolio = new WP_Query($args);
    }

if ( have_posts() ) :
    get_template_part( 'templates/portfolio/portfolio', $style);
    newshopping_pbr_pagination_nav( $post_per_page, $newshopping_portfolio->found_posts, $newshopping_portfolio->max_num_pages );
    wp_reset_postdata();
else :
    get_template_part( 'templates/none' );
endif;