<?php
/**
* $Desc
*
* @version    $Id$
* @package    wpbase
* @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
global $newshopping_footer_builder, $newshopping_pbrpconfig;

$footer = newshopping_pbr_theme_options('footer-style','default');
if('page' == get_post_type()){
	if($newshopping_pbrpconfig['footer_skin'] && $newshopping_pbrpconfig['footer_skin']!='global'){
		$footer = $newshopping_pbrpconfig['footer_skin'];
	}
}

?>
	<?php if(is_active_sidebar('social')) dynamic_sidebar('social'); ?>

	<?php if($footer !='default' && (  $post = get_post($footer) ) ){ 
		 echo trim($newshopping_footer_builder['footer']);
    ?>
    	<footer id="pbr-footer" class="pbr-footer">
            <?php 
             
              echo do_shortcode( $post->post_content);  wp_reset_postdata();
            ?>
      </footer>
	<?php }else{ ?>

	<footer id="pbr-footer" class="pbr-footer">
		<div class="container">
			<section class="footer-top">
				<div class="row">
					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
						<?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
						<div class="inner wow fadeInUp" data-wow-duration='0.8s' data-wow-delay="200ms" >
							<?php dynamic_sidebar('footer-1'); ?>
						</div>
						<?php endif; ?>
					</div>

					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
						<?php if ( is_active_sidebar( 'footer-2' ) ) : ?>
						<div class="inner wow fadeInUp" data-wow-duration='0.8s' data-wow-delay="400ms" >
							<?php dynamic_sidebar('footer-2'); ?>
						</div>
						<?php endif; ?>
					</div>

					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
						<?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
						<div class="inner wow fadeInUp" data-wow-duration='0.8s' data-wow-delay="600ms" >
							<?php dynamic_sidebar('footer-3'); ?>
						</div>
						<?php endif; ?>
					</div>

					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
						<?php if ( is_active_sidebar( 'footer-4' ) ) : ?>
						<div class="inner wow fadeInUp" data-wow-duration='0.8s' data-wow-delay="800ms" >
							<?php dynamic_sidebar('footer-4'); ?>
						</div>
						<?php endif; ?>
					</div>
				</div>
			</section>
		</div>
	</footer>
	<?php } ?>

	<section class="pbr-copyright">
		<div class="container">
			<div class="copyright pull-left">
				<address>
					<?php echo newshopping_pbr_theme_options('copyright_text', __('کلیه حق و حقوق فارسی سازی این قالب برای بیگ تم محفوظ میباشد <br/> بهینه سازی توسط : <a href="' . ( is_ssl()  ? 'https' : 'http') . '://bigtheme.ir">بیگ تم</a>', 'newshopping') ); ?>
				</address>

				<?php if(newshopping_pbr_theme_options('image-payment', '')){ ?>
					<div class="payment">
						<img src="<?php echo esc_url( newshopping_pbr_theme_options('image-payment', '') ); ?>" />
					</div>
				<?php } ?>
			</div>
			<div class="pull-right">
				<?php if(has_nav_menu( 'footermenu' )){ ?>
				        <?php
                            $args = array(
                                'theme_location'  => 'footermenu',
                                'container_class' => '',
                                'menu_class'      => 'footermenu list-inline list-square'
                            );
                            wp_nav_menu($args);
                        ?>
                <?php } ?>
				
			</div>
		</div>
	</section>
</section>
</section>
<?php dynamic_sidebar( 'mass-footer-body' ); ?>
<!-- END Wrapper -->
<?php wp_footer(); ?>
</body>
</html>