<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */

	class Newshopping_PBR_Shortcode_Accordion extends Newshopping_PBR_Shortcode_Base{

		public function __construct( ){
			// add hook to convert shortcode to html.
			$this->name = str_replace( 'newshopping_pbr_shortcode_','',strtolower( __CLASS__ ) );
			$this->key = 'pbr_'.$this->name;
			$this->excludedMegamenu = true;
			parent::__construct( );
		}

		/**
		 * $data format is object field of megamenu_widget record.
		 */
		public function getButton( $data=null ){
			$button = array(
				'icon'	 => 'accordion',
				'title' => __( 'Accoridion List', 'newshopping' ),
				'desc'  => __( 'Display Accordion List Supported By Bootstrap 3' ,'newshopping'),
				'name'  => $this->name
			);
			return $button;
		}

		public function getOptions( ){
		    $this->options[] = array(
		        'label' 	=> __('Input 1', 'newshopping'),
		        'id' 		=> 'style',
		        'type' 		=> 'radio',
		        'options' 	=> array(
		                        'default'=>'default',
		                        'cyan'   =>'cyan',
		                        'yellow' =>'yellow'
		    ));

		    $this->options[] = array(
		        'label' => __('Input 2', 'newshopping'),
		        'id' => 'skin1',
		        'type' => 'text',
		        'content' 	=>true,
		    );

		    $this->options[] = array(
		        'label' 	=> __('Input 1', 'newshopping'),
		        'id' 		=> 'checked',
		        'type' 		=> 'posttypes'
		    );
		}

		public function render( $attrs, $content="" ){
			return '<div>'.$attrs['style'].'</div>';
		}
	}
?>