<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */

	class Newshopping_PBR_Shortcode_Blog_Tab extends Newshopping_PBR_Shortcode_Base{

		public function __construct( ){
			// add hook to convert shortcode to html.
			$this->name = str_replace( 'newshopping_pbr_shortcode_','',strtolower( __CLASS__ ) );
			$this->key = 'pbr_'.$this->name;
			parent::__construct( );
			$this->excludedMegamenu = true;
		}

		/**
		 * $data format is object field of megamenu_widget record.
		 */
		public function getButton( $data=null ){
			$button = array(
				'icon'	 => 'blog-tab',
				'title' => __( 'Blog Tabs' ,'newshopping'),
				'desc'  => __( 'Display Banner Image Or Ads Banner','newshopping' ),
				'name'  => $this->name
			);

			return $button;
		}

		public function getOptions( ){
		    $this->options[] = array(
		        'label' 	=> __('Category Parent', 'newshopping'),
		        'id' 		=> 'category',
		        'type' 		=> 'category_parent',
		        'explain'	=> __( 'Put Your Image Link Here', 'newshopping' ),
		        'default'	=> '',
		        'hint'		=> ''
		        );

		    $this->options[] = array(
		        'label' 	=> __('Count Item', 'newshopping'),
		        'id' 		=> 'count',
		        'type' 		=> 'text',
		        'explain'	=> '',
		        'default'	=> '',
		        'hint'		=> '',
	        );

	        $this->options[] = array(
		        'label' 	=> __('Addition Class', 'newshopping'),
		        'id' 		=> 'class',
		        'type' 		=> 'text',
		        'explain'	=> __( 'Using to make own style', 'newshopping' ),
		        'default'	=> '',
		        'hint'		=> '',
	        );
	        $this->options[] = array(
	        	'label' 	=> '',
		        'id' 		=> 'id',
		        'type' 		=> 'hidden_id',
		        'default'	=> '',
		        'hint'		=> '',
	        );
		}
	}
?>