<?php
 /**
  * $Desc
  *
  * @version    $Id$
  * @package    wpbase
  * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */

/*
*Template Name: Magazine
*
*/
global $newshopping_pbrpconfig;
$newshopping_pbrpconfig = Newshopping_TemplateFront::getPageConfig();
?>
 <?php get_header( Newshopping_TemplateFront::getHeaderLayout() ); ?>
 <?php newshopping_pbr_breadcrumb(); ?>

<section id="pbr-mainbody" class="pbr-mainbody news-page clearfix">
    <div class="container">
        <div class="row">
        <?php get_sidebar( 'left' );  ?>
            <?php /******************************* MAIN CONTENT ************************************/ ?>
            <div class="<?php echo esc_attr($newshopping_pbrpconfig['main']['class']); ?>">
                <div id="pbr-content" class="pbr-content no-padding bg-transparent">
                  <?php if($config['showtitle']){ ?>
                      <header class="header-title">
                          <h1 class="page-title"><span><?php the_title(); ?></span></h1>
                      </header><!-- /header -->
                  <?php } ?>

                  <?php /* The loop */ ?>
                      <?php while ( have_posts() ) : the_post(); ?>
                      <article id="post-<?php the_ID(); ?>" <?php post_class(''); ?>>
                          <?php the_content(); ?>
                      </article><!-- #post -->
                      <?php if ( comments_open()) :
                      comments_template();
                    endif; ?>
                  <?php endwhile; ?>
              </div>
            </div>

          
          <?php get_sidebar( 'right' ); ?>
        </div>
    </div>
</section>

<?php get_footer(); ?>