<?php
/**
* $Desc
*
* @version    $Id$
* @package    wpbase
* @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
?>

<div class="author-info media">

	<div class="author-about-container media">
		<div class="avatar-img pull-left">
			<?php echo get_avatar( get_the_author_meta( 'user_email' ),72 ); ?>
		</div>
		<!-- .author-avatar -->
		<div class="media-body">
			<h4 class="author-title">
				<?php esc_html_e( 'About the Author :', 'newshopping' ); ?>
				<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
					<?php echo get_the_author(); ?>
				</a>
			</h4>
			<div class="description media-body">
				<?php the_author_meta( 'description' ); ?>
			</div>
		</div>
	</div>
</div>