<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     bigtheme Team <bigtheme@gmail.com, support@bigtheme.ir>
 * @copyright  Copyright (C) 2015 bigtheme.ir. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.bigtheme.ir
 * @support  http://www.bigtheme.ir
 */
?>



 	<div class="post next">
		<div class="post-next clearfix">
			<?php 
				previous_post_link('<div class="pull-left">%link</div>', 'Previous', FALSE); 
			   next_post_link('<div class="pull-right">%link</div>', 'Next', FALSE); 
			?>
		</div>
	</div>
				

	<?php $_video = array('type' => 'pbr_portfolio', 'format' =>'video_link'); //var_dump( newshoping_pbr_embed( $_video)); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="post-container">
		<?php if( newshoping_pbr_embed( $_video) ){ ?>
		    <div class="entry-thumb post-type-video">
		      <div class="video-thumb video-responsive">
		      	<?php echo newshoping_pbr_embed( $_video); ?>
		      </div>
		    </div>
		<?php }elseif ( has_post_thumbnail() ) { ?>
			<div class="entry-thumb">
				<a href="<?php the_permalink(); ?>" title="">
					<?php the_post_thumbnail('');?>
				</a>
			</div>
		<?php } ?>
			<h1 class="page-title"><?php the_title(); ?></h1>
			<div class="entry-content no-border">
				<?php the_content(); ?>
				<?php wp_link_pages(); ?>
			</div>
			<?php if( newshopping_pbr_theme_options('show-share-portfolio', true)) { ?>
				<div class="post-share">
                    <div class="row">
                        <div class="col-sm-4">
                            <h6><?php esc_html_e( 'Share this Post!','newshopping' ); ?></h6>
                        </div>
                        <div class="col-sm-8">
                            <?php newshopping_pbr_share_box(); ?>
                        </div>
                    </div>
                </div>
            <?php } ?>

            <?php
            if(newshopping_pbr_theme_options('show-related-portfolio')){
                $relate_count = newshopping_pbr_theme_options('portfolio-items-show', 4);
                newshoping_pbr_related_post($relate_count, 'portfolio', 'Categories');
            }
            ?>
		</div>
	</article>